// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-dtos.proto

package com.accelfin.server.messaging.dtos;

public interface OperationConfigDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.messaging.dtos.OperationConfigDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string service_type = 1;</code>
   */
  java.lang.String getServiceType();
  /**
   * <code>optional string service_type = 1;</code>
   */
  com.google.protobuf.ByteString
      getServiceTypeBytes();

  /**
   * <code>optional string operation_name = 2;</code>
   */
  java.lang.String getOperationName();
  /**
   * <code>optional string operation_name = 2;</code>
   */
  com.google.protobuf.ByteString
      getOperationNameBytes();

  /**
   * <code>optional string service_id = 3;</code>
   */
  java.lang.String getServiceId();
  /**
   * <code>optional string service_id = 3;</code>
   */
  com.google.protobuf.ByteString
      getServiceIdBytes();

  /**
   * <code>optional bool requires_authentication = 4;</code>
   */
  boolean getRequiresAuthentication();

  /**
   * <code>optional string request_exchange_name = 5;</code>
   */
  java.lang.String getRequestExchangeName();
  /**
   * <code>optional string request_exchange_name = 5;</code>
   */
  com.google.protobuf.ByteString
      getRequestExchangeNameBytes();

  /**
   * <code>optional string request_routing_key = 6;</code>
   */
  java.lang.String getRequestRoutingKey();
  /**
   * <code>optional string request_routing_key = 6;</code>
   */
  com.google.protobuf.ByteString
      getRequestRoutingKeyBytes();

  /**
   * <code>optional string response_exchange_name = 7;</code>
   */
  java.lang.String getResponseExchangeName();
  /**
   * <code>optional string response_exchange_name = 7;</code>
   */
  com.google.protobuf.ByteString
      getResponseExchangeNameBytes();

  /**
   * <code>optional string response_routing_key = 8;</code>
   */
  java.lang.String getResponseRoutingKey();
  /**
   * <code>optional string response_routing_key = 8;</code>
   */
  com.google.protobuf.ByteString
      getResponseRoutingKeyBytes();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.OperationTypeDto operation_type = 9;</code>
   */
  int getOperationTypeValue();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.OperationTypeDto operation_type = 9;</code>
   */
  com.accelfin.server.messaging.dtos.OperationTypeDto getOperationType();

  /**
   * <code>optional bool is_available = 10;</code>
   */
  boolean getIsAvailable();
}
